import { ModelUtilImpl, ModelConditionUtil, ModelConditionUtilImpl, FieldConditionUtil } from 'model-util';
/**
 * @author Keytop midend auto generate
 * @version 1.0
 * @date 2020-05-27 11:22
 */
interface TestModel1 {
    /**
    * basic_version_id
    * @type { string }
    */
    basicVersionId?: string;
    /**
    * bm_project_id
    * @type { string }
    */
    bmProjectId?: string;
    /**
    * bm_scope_id
    * @type { string }
    */
    bmScopeId?: string;
    /**
    * description
    * @type { string }
    */
    description?: string;
    /**
    * gradle_package_name
    * @type { string }
    */
    gradlePackageName?: string;
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * java_build_status
    * @type { string }
    */
    javaBuildStatus?: string;
    /**
    * major
    * @type { number }
    */
    major?: number;
    /**
    * minor
    * @type { number }
    */
    minor?: number;
    /**
    * npm_build_status
    * @type { string }
    */
    npmBuildStatus?: string;
    /**
    * npm_package_name
    * @type { string }
    */
    npmPackageName?: string;
    /**
    * released
    * @type { boolean }
    */
    released?: boolean;
    /**
    * version_no
    * @type { string }
    */
    versionNo?: string;
}
interface TestModel1MCU extends ModelConditionUtil<TestModel1MCU> {
    BASIC_VERSION_ID: FieldConditionUtil<TestModel1MCU>;
    BM_PROJECT_ID: FieldConditionUtil<TestModel1MCU>;
    BM_SCOPE_ID: FieldConditionUtil<TestModel1MCU>;
    DESCRIPTION: FieldConditionUtil<TestModel1MCU>;
    GRADLE_PACKAGE_NAME: FieldConditionUtil<TestModel1MCU>;
    ID: FieldConditionUtil<TestModel1MCU>;
    JAVA_BUILD_STATUS: FieldConditionUtil<TestModel1MCU>;
    MAJOR: FieldConditionUtil<TestModel1MCU>;
    MINOR: FieldConditionUtil<TestModel1MCU>;
    NPM_BUILD_STATUS: FieldConditionUtil<TestModel1MCU>;
    NPM_PACKAGE_NAME: FieldConditionUtil<TestModel1MCU>;
    RELEASED: FieldConditionUtil<TestModel1MCU>;
    VERSION_NO: FieldConditionUtil<TestModel1MCU>;
}
declare class TestModel1MCUImpl extends ModelConditionUtilImpl<TestModel1MCUImpl> implements TestModel1MCU {
    newInstance(): TestModel1MCUImpl;
    private _BASIC_VERSION_ID;
    get BASIC_VERSION_ID(): FieldConditionUtil<TestModel1MCU>;
    private _BM_PROJECT_ID;
    get BM_PROJECT_ID(): FieldConditionUtil<TestModel1MCU>;
    private _BM_SCOPE_ID;
    get BM_SCOPE_ID(): FieldConditionUtil<TestModel1MCU>;
    private _DESCRIPTION;
    get DESCRIPTION(): FieldConditionUtil<TestModel1MCU>;
    private _GRADLE_PACKAGE_NAME;
    get GRADLE_PACKAGE_NAME(): FieldConditionUtil<TestModel1MCU>;
    private _ID;
    get ID(): FieldConditionUtil<TestModel1MCU>;
    private _JAVA_BUILD_STATUS;
    get JAVA_BUILD_STATUS(): FieldConditionUtil<TestModel1MCU>;
    private _MAJOR;
    get MAJOR(): FieldConditionUtil<TestModel1MCU>;
    private _MINOR;
    get MINOR(): FieldConditionUtil<TestModel1MCU>;
    private _NPM_BUILD_STATUS;
    get NPM_BUILD_STATUS(): FieldConditionUtil<TestModel1MCU>;
    private _NPM_PACKAGE_NAME;
    get NPM_PACKAGE_NAME(): FieldConditionUtil<TestModel1MCU>;
    private _RELEASED;
    get RELEASED(): FieldConditionUtil<TestModel1MCU>;
    private _VERSION_NO;
    get VERSION_NO(): FieldConditionUtil<TestModel1MCU>;
}
declare class TestModel1MU extends ModelUtilImpl<TestModel1MCU, TestModel1> {
    selectSQL: string;
    modelFields: string[];
    createModelConditionUtil(): TestModel1MCU;
    private static _BASIC_VERSION_ID;
    static get BASIC_VERSION_ID(): FieldConditionUtil<TestModel1MCU>;
    private static _BM_PROJECT_ID;
    static get BM_PROJECT_ID(): FieldConditionUtil<TestModel1MCU>;
    private static _BM_SCOPE_ID;
    static get BM_SCOPE_ID(): FieldConditionUtil<TestModel1MCU>;
    private static _DESCRIPTION;
    static get DESCRIPTION(): FieldConditionUtil<TestModel1MCU>;
    private static _GRADLE_PACKAGE_NAME;
    static get GRADLE_PACKAGE_NAME(): FieldConditionUtil<TestModel1MCU>;
    private static _ID;
    static get ID(): FieldConditionUtil<TestModel1MCU>;
    private static _JAVA_BUILD_STATUS;
    static get JAVA_BUILD_STATUS(): FieldConditionUtil<TestModel1MCU>;
    private static _MAJOR;
    static get MAJOR(): FieldConditionUtil<TestModel1MCU>;
    private static _MINOR;
    static get MINOR(): FieldConditionUtil<TestModel1MCU>;
    private static _NPM_BUILD_STATUS;
    static get NPM_BUILD_STATUS(): FieldConditionUtil<TestModel1MCU>;
    private static _NPM_PACKAGE_NAME;
    static get NPM_PACKAGE_NAME(): FieldConditionUtil<TestModel1MCU>;
    private static _RELEASED;
    static get RELEASED(): FieldConditionUtil<TestModel1MCU>;
    private static _VERSION_NO;
    static get VERSION_NO(): FieldConditionUtil<TestModel1MCU>;
}
export { TestModel1MCU, TestModel1MCUImpl, TestModel1, TestModel1MU };
